Page MenuHomePhabricator

[Migrated] Remove 10-digit ISBNs from cite templates when 13-digit is also present
Closed, DeclinedPublic

Description

The new cite templates complain when encountering |isbn=aaaaaaaaax, 978bbbbbbbbby since only one ISBN is allowed in the field (and there is no need for the equivalent 10-digit value). If aaaaaaaaa == bbbbbbbbb, "aaaaaaaaax, " should be removed (i.e. |isbn=aaaaaaaaax, 978bbbbbbbbby|isbn=978bbbbbbbbby.)
@AlanM1 22:16, 15 September 2013 (UTC)

Event Timeline

Josve05a created this task.May 18 2015, 7:30 PM
Josve05a raised the priority of this task from to Needs Triage.
Josve05a updated the task description. (Show Details)
Josve05a added a project: AutoWikiBrowser.
Josve05a added a subscriber: Josve05a.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2015, 7:30 PM
Josve05a changed the task status from Open to Stalled.May 18 2015, 7:30 PM

Not sure what the policy says on this, but for all books published before 2007, we should use ISBN-10. In general, we should always use the number printed on the book. But I agree in general that there's no need to have both ISBN-10 and ISBN-13 for one book.
@bender235 16:40, 23 September 2013 (UTC)

Beg to disagree. I recently saw a book which had only the 10-digit ISBN printed in the book, but which did have a 13-digit assigned. (No idea how common this might be.) The 13-digit ISBN might be useful in locating the book in various contexts, but most certainly should not cause the 10-digit ISBN to be removed.

To fix the doubled-up ISBN problem one of them should be ''moved'' (not ''re''moved) outside of the template. Perhaps even stuffing the second instance into an {{ISBN}} template. Or perhaps the templates could be modified to handle two ISBNs?
J. Johnson (JJ) 20:36, 6 October 2013 (UTC)

It is very, very common to have books published with only a 10-digit number to have a 13-digit number assigned to it. Two reasons. One is that they are essentially the same numbers. To convert a 10-digit number to 13, slap 978 on the front and recalculate the checksum digit (last digit). Second is that the 10-digit's equivalent 13-digit was assigned to each other when the transition happened. If you goto WorldCat, Google or Amazon, you can find pre-2000s books with a 13 digit number.

Example: As Ender's Game, the film, is about to be released, type 9780312932084 anywhere you want. That is the 13-digit equivalent of the 1985 first edition.

  • WP:ISBN states, "Please use the 13-digit one if available"
  • In most cases, there should be no reason to list more than one ISBN number. One ISBN shouldn't be moved. Template shouldn't contain more than one. If the 10-digit and 13-digit numbers are equivalent, then use the 13 as they both point to the same spot. Should AWB being automatically doing that? I don't know. But it could give a warning.

@Bgwhite 06:39, 7 October 2013 (UTC)

I am a little concerned that an editor with a printed book in hand that lists only the ISBN-10 might not recognize the equivalent ISBN-13 as referring to the same book. Perhaps that is something be mentioned on the Special:BookSources page?

I would be less concerned about AWB removing a 10-digit ISBN if it checks that the 13-digit version is indeed correspondent. If they are not, then that should should be flagged as an error, and no changes made.

J. Johnson (JJ) 20:51, 8 October 2013 (UTC)

Right. That's what I attempted to say (perhaps cryptically). AFAIK, there is an equivalence between 10- and 13-digit numbers as described by @Bgwhite (and in the logic I gave) above. In the cases I looked at, where both numbers were present and the root 9 digits did NOT match, one of the two numbers was wrong – usually because it was for a different edition than the one being cited.

@AlanM1 11:08, 3 March 2014 (UTC)

13-digit ISBNs ''described as such'' are a relatively recent phenomenon: since circa 2006 (in the lead-up to 2007, as noted above). But at least twenty years earlier (in Europe at least), these numbers were already being allocated, and being shown on the books in the form of the EAN-13 barcode. I've got several books bearing such barcodes from as long ago as 1984, which are definitely first printings, not post-2007 reprints. All that happened in 2007 is that the publishers stopped putting the ISBN-10 on the books. If it begins 978 or 979, and has 13 digits, there is no difference between an EAN-13 barcode and an ISBN-13, apart from the spacing and hyphenation (which is of no consequence). We only need one ISBN for each cite template: if there are two, one should be removed - but for a pre-2007 book, it doesn't really matter which you remove and which you keep.

@Redrose64 19:54, 31 August 2014 (UTC)

Magioladitis closed this task as Declined.Jul 14 2015, 2:15 PM
Magioladitis claimed this task.
Magioladitis added a subscriber: Magioladitis.

No worth to implement this anymore. Now cite templates use a uniformed method and we spot pages with invalid values in isbn field. Mroever, we fixed all of them already.